Index: packages/net/nuttcp/Makefile
===================================================================
--- packages/net/nuttcp/Makefile	(revision 0)
+++ packages/net/nuttcp/Makefile	(revision 0)
@@ -0,0 +1,48 @@
+#
+# Copyright (C) 2011 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=nuttcp
+PKG_VERSION:=6.1.2
+PKG_RELEASE:=1
+
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
+PKG_SOURCE_URL:=ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp
+PKG_MD5SUM:=a16d4d6d5def02cea980e57feaf30500
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/nuttcp
+  SECTION:=net
+  CATEGORY:=Network
+  TITLE:=Network performance measurement tool
+  URL:=http://lcp.nrl.navy.mil/nuttcp/nuttcp.html
+endef
+
+define Package/nuttcp/description
+  nuttcp is a network performance measurement tool intended for use by network
+  and system managers. Its most basic usage is to determine the raw TCP (or UDP)
+  network layer throughput by transferring memory buffers from a source system
+  across an interconnecting network to a destination system, either transferring
+  data for a specified time interval, or alternatively transferring a specified
+  number of bytes. In addition to reporting the achieved network throughput in
+  Mbps, nuttcp also provides additional useful information related to the data
+  transfer such as user, system, and wall-clock time, transmitter and receiver
+  CPU utilization, and loss percentage (for UDP transfers).
+endef
+
+MAKE_FLAGS += \
+	APP="nuttcp" \
+	OPT="-Wall $(TARGET_CFLAGS)"
+
+define Package/nuttcp/install
+	$(INSTALL_DIR) $(1)/usr/bin
+	$(INSTALL_BIN) $(PKG_BUILD_DIR)/nuttcp $(1)/usr/bin/
+endef
+
+$(eval $(call BuildPackage,nuttcp))
